Subject: Re: [RFC PATCH 01/10] powerpc/chrp: Remove CHRP support

From: Segher Boessenkool <[email-masked]>
Date: Fri, 22 Nov 2024 12:31:52 -0600

On Thu, Nov 21, 2024 at 09:41:36AM +0100, John Paul Adrian Glaubitz wrote:
> >> Pegasos2 users still exist, but admittedly they mainly use MorphOS and
> >> AmigaOS4 on these machines.
> >
> > The Linux CHRP support is still present in v6.12, which will be an LTS
> > for the next 2 years at least, so if there's folks who occasionally boot
> > Linux they will still be able to do that for a while.
> 
> Is there any urgency that warrants the removal? I could understand when ia64
> support was removed because it put a burden on maintainers.
> 
> But CHRP support?

It puts a burden on maintainers the same way.  No one can really test
it, to start with.  It is essentially dead code.

Or do you know someone who regularly builds and tests this?

Segher